Remote Lights-Out Mgmt (iLO 2, iLO, RILOE II) Forum
Showing results for 
Search instead for 
Do you mean 

Latest version of Linux XML scripts?

Frequent Advisor

Latest version of Linux XML scripts?

When I run any of the Perl/XML scripts with version 2.20.0-1 of locfg.pl I get the following message back from the iLO:

Scripting utility should be updated to the latest version.

Where do I get the latest version?

The HP web devs *really* need to fix the search engine on this site. It's near impossible to find things like this, usually I end up using google to search HP's site because it's much more effective. . .
3 REPLIES
Honored Contributor

Re: Latest version of Linux XML scripts?

The message you are receiving is being returned from iLO. It is probably just cosmetic.

Check the source .xml file and see if it contains the line


As far as access to the HP web site, I do not think it is one of Mark Hurd's priorities...
Frequent Advisor

Re: Latest version of Linux XML scripts?

This is the page is the top result when I search for HP Lights-Out XML PERL Scripting Sample for Linux:

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=US&swItem=MTX-3b426a21bf8d40df88f91ea960

It appears to be version 2.20. Where do I get version 2.22? Why is not not prominently located somewhere on the iLO webpage? Personally I find these scripts to be an invaluable tool, especially when I need to clear invalid IML logs from an entire rack of blade servers.
Frequent Advisor

Re: Latest version of Linux XML scripts?

What it looks like is the server is expecting a Windows EXE file to be connecting instead of locfg.pl script. Closing thread.